package com.example.switchyard.LnkExt;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(OrderService.class)
public class OrderServiceBean implements OrderService {
	
	   @Inject @Reference
	    private EquipmentConfigurationServices _equipmentConfigurationServices;
	
	@Override
	public OrderAck equipmentSearch(Order order) {
		 OrderAck orderAck = new OrderAck().set_values("");
	        // Check the inventory
	        Item orderItem = _equipmentConfigurationServices.equipmentSearch(order.get_usrId(),order.get_pass(),
	        		order.getCompanyId(), order.get_language(),order.get_values());
	        // Check quantity on hand and generate the ack
//	        if (orderItem.getQuantity() >= order.getQuantity()) {
//	            orderAck.setAccepted(true).setStatus("Order Accepted");
//	        } else {
//	            orderAck.setAccepted(false).setStatus("Insufficient Quantity");
//	        }
	       orderAck.set_values(orderItem.get_values());
	        return orderAck;
	}

}
